
Ruby - Bug #19926

Range#size returns an incorrect result for ranges with a Rational endpoint

10/13/2023 06:10 AM - kyanagi (Kouhei Yanagita)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 3.3.0dev (2023-10-12T17:32:45Z

master 81399a5c46) [arm64-darwin22]

Backport: 3.0: UNKNOWN, 3.1: UNKNOWN, 3.2:

UNKNOWN

Description

% ~/tmp/ruby-master/bin/ruby -e '(1...3.1r).each { p _1 }'

1

2

3

 
% ~/tmp/ruby-master/bin/ruby -e 'p (1...3.1r).size'

2

 
% ~/tmp/ruby-master/bin/ruby -e 'p (1...3.1).size'

3

Associated revisions

Revision b28c1d2c5644c726bba60cd35ce9313da6e86a4f - 10/14/2023 02:22 AM - kyanagi (Kouhei Yanagita)

[Bug #19926] Fix Range#size for ranges with a Rational endpoint

Revision b28c1d2c5644c726bba60cd35ce9313da6e86a4f - 10/14/2023 02:22 AM - kyanagi (Kouhei Yanagita)

[Bug #19926] Fix Range#size for ranges with a Rational endpoint

Revision b28c1d2c - 10/14/2023 02:22 AM - kyanagi (Kouhei Yanagita)

[Bug #19926] Fix Range#size for ranges with a Rational endpoint

History

#1 - 10/13/2023 11:59 PM - kyanagi (Kouhei Yanagita)

I made a fix: https://github.com/ruby/ruby/pull/8660

#2 - 10/14/2023 03:15 AM - kyanagi (Kouhei Yanagita)

- Status changed from Open to Closed

Applied in changeset git|b28c1d2c5644c726bba60cd35ce9313da6e86a4f.
